package cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge;


import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/2/25
 */
public class QAKnowledgeChunkResult extends AbstractResult {

    private List<QAChunkKey> key;

    private List<Chunk> chunk;

    private Integer totalChunk;

    public Integer getTotalChunk() {
        return totalChunk;
    }

    public void setTotalChunk(Integer totalChunk) {
        this.totalChunk = totalChunk;
    }

    public List<QAChunkKey> getKey() {
        return key;
    }

    public void setKey(List<QAChunkKey> key) {
        this.key = key;
    }

    public List<Chunk> getChunk() {
        return chunk;
    }

    public void setChunk(List<Chunk> chunk) {
        this.chunk = chunk;
    }
}
